
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]			= "lava_crater"
	actor[cp_model_dir]				= "beasties"
	actor[cp_model_name]			= "lava"

	actor[cp_hit_power]				= 10.0

	actor[cp_actor_type]			= cat_beastie + cat_explosion
	actor[cp_these_collide_with_me]	= cat_crystal

	actor[cp_in_beastie_count]		= 0

	actor[cp_launch_scale_min]		= 100.0
	actor[cp_launch_scale_max]		= 100.0

	actor[cp_launch_anim_delay]		= 1.0

-- leave me
	c_preload_model( actor )
-- leave me

	c_set_random_anim( "bob", 150.0, 200.0, 0.0, 0.0 )	
--	c_add_particle_to_anim( "bob", "particles", "lava-bubbles" )
	c_add_particle_to_anim( "bob", "particles", "lava-puff" )

	c_add_sound_to_event( "background", "general_lavapit", 1.0 )

